Groovy 1.7.0

## groovy.xml
Class NamespaceBuilder

    java.lang.Object
      groovy.xml.NamespaceBuilder

    class NamespaceBuilder
    extends Object

A helper class for creating namespaces for GroovyMarkup

author:
  James Strachan

version:
  $Revision: 14125 $

Constructor Summary
`NamespaceBuilder(BuilderSupport builder)`

Method Summary
`NamespaceBuilderSupport` | `declareNamespace(Map ns)`
`NamespaceBuilderSupport` | `namespace(String uri)`
`NamespaceBuilderSupport` | `namespace(String uri, String prefix)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri, String prefix)`
`static NamespaceBuilderSupport` | `newInstance(Map nsMap, BuilderSupport builder)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NamespaceBuilder

    public NamespaceBuilder(BuilderSupport builder)

Method Detail

### declareNamespace

    public NamespaceBuilderSupport declareNamespace(Map ns)

### namespace

    public NamespaceBuilderSupport namespace(String uri)

### namespace

    public NamespaceBuilderSupport namespace(String uri, String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(Map nsMap, BuilderSupport builder)

Copyright © 2003-2009 The Codehaus. All rights reserved.